<?php
namespace WTC_CHECKOUT\Core\General;
defined('ABSPATH') || exit;
class CartCustomizationService {
    public function __construct() {
        add_action('wp_head', array($this, 'maybe_hide_shipping_address'));
    }
    public function maybe_hide_shipping_address() {
        $hide_shipping_address = get_option('wtc_hide_cart_shipping_address', false);
        if ($hide_shipping_address && is_cart()) {
            ?>
            <style>
                .wc-block-components-shipping-address,
                .shipping-calculator-form {
                    display: none !important;
                }
            </style>
            <?php
        }
    }
} 